Magick::DrawableAlpha Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableAlpha:
[legend]
Collaboration diagram for Magick::DrawableAlpha:
[legend]

## Public Member Functions

| DrawableAlpha (double x_, double y_, PaintMethod paintMethod_)
| ~DrawableAlpha (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
void | paintMethod (PaintMethod paintMethod_)
PaintMethod | paintMethod (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 303 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableAlpha()

Magick::DrawableAlpha::DrawableAlpha | ( | double | x_,
|  | double | y_,
|  | PaintMethod | paintMethod_
| ) |  |

inline

Definition at line 307 of file Drawable.h.

## ~DrawableAlpha()

Magick::DrawableAlpha::~DrawableAlpha | ( | void |  | ) |

Definition at line 207 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableAlpha::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 216 of file Drawable.cpp.

## operator()()

void Magick::DrawableAlpha::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 211 of file Drawable.cpp.

## paintMethod() [1/2]

void Magick::DrawableAlpha::paintMethod | ( | PaintMethod | paintMethod_ | ) |

inline

Definition at line 342 of file Drawable.h.

## paintMethod() [2/2]

PaintMethod Magick::DrawableAlpha::paintMethod | ( | void |  | ) | const

inline

Definition at line 347 of file Drawable.h.

## x() [1/2]

void Magick::DrawableAlpha::x | ( | double | x_ | ) |

inline

Definition at line 322 of file Drawable.h.

## x() [2/2]

double Magick::DrawableAlpha::x | ( | void |  | ) | const

inline

Definition at line 327 of file Drawable.h.

## y() [1/2]

void Magick::DrawableAlpha::y | ( | double | y_ | ) |

inline

Definition at line 332 of file Drawable.h.

## y() [2/2]

double Magick::DrawableAlpha::y | ( | void |  | ) | const

inline

Definition at line 337 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp